# Class DemoConfig

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a configuration class that holds settings for demonstration purposes.

    public class DemoConfig

Inheritance
  object
  DemoConfig

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### MaxValue

    public int? MaxValue { get; set; }

#### Property Value

int?

### MinValue

    public int? MinValue { get; set; }

#### Property Value

int?

### Periodicity

    public int? Periodicity { get; set; }

#### Property Value

int?

### PriorityAlarm

    public int? PriorityAlarm { get; set; }

#### Property Value

int?

### RandomCount

    public int? RandomCount { get; set; }

#### Property Value

int?

### RequireEndDate

    public bool? RequireEndDate { get; set; }

#### Property Value

bool?

### RequireInitDate

    public bool? RequireInitDate { get; set; }

#### Property Value

bool?

### SetInValue

    public bool? SetInValue { get; set; }

#### Property Value

bool?

### SetRandomValue

    public bool? SetRandomValue { get; set; }

#### Property Value

bool?

### ValueIsArray

    public bool? ValueIsArray { get; set; }

#### Property Value

bool?

### ValueOption

    public object? ValueOption { get; set; }

#### Property Value

object

### XmlType

    public ObservationEnum.XmlType? XmlType { get; set; }

#### Property Value

ObservationEnum.XmlType?